<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />

        <link
            href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css"
            rel="stylesheet"
        />

        <title>Joint Bank Account</title>
    </head>
    <body>
        <nav class="navbar bg-body-tertiary">
            <div class="container-fluid">
                <a class="navbar-brand" href="#">Navbar</a>
            </div>
        </nav>

        <main class="container py-5">
            <div class="mb-3">
                <label for="owners">Create Account</label>
                <input type="text" id="owners" class="form-control" placeholder="Owners" />
                <button class="btn btn-outline-secondary" type="button" onclick="createAccount()">
                    Create
                </button>
            </div>

            <div class="mb-3">
                <label for="accounts">View Accounts</label>
                <div class="alert alert-primary" role="alert" id="accounts"></div>
                <button class="btn btn-outline-secondary" type="button" onclick="viewAccounts()">
                    View
                </button>
            </div>

            <div class="alert alert-primary" role="alert" id="events"></div>
        </main>

        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"></script>
        <script
            src="https://cdn.ethers.io/lib/ethers-5.2.umd.min.js"
            type="application/javascript"
        ></script>
        <script src="script.js" type="application/javascript"></script>
    </body>
</html>
